Main Page Widgets glibmm Namespaces Book

# Glib::Interface Class Reference

Inheritance diagram for Glib::Interface:

[legend]
List of all members.

## Public Member Functions

| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes.
| Interface (GObject* castitem)
| Called by constructors of derived classes.
virtual | ~Interface ()
GObject* | gobj ()
| Provides access to the underlying C GtkObject.
const GObject* | gobj () const
| Provides access to the underlying C GtkObject.

## Constructor & Destructor Documentation

Glib::Interface::Interface | ( | const Glib::Interface_Class & | interface_class | ) | `[explicit]`

Called by constructors of derived classes.

Provide the result of the Class object's init() function to ensure that it is properly initialized.

Parameters:

  | interface_class | The Class object for the derived type.

Glib::Interface::Interface | ( | GObject* | castitem | ) | `[explicit]`

Called by constructors of derived classes.

Parameters:

  | cast_item | A C instance that will be wrapped by the new C++ instance. This does not take a reference, so call reference() if necessary.

virtual Glib::Interface::~Interface | ( |  | ) | `[virtual]`

## Member Function Documentation

GObject* Glib::Interface::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gio::AppInfo, Gio::AsyncResult, Gio::Drive, Gio::File, Gio::FileIcon, Gio::FileInputStream, Gio::FileOutputStream, Gio::Icon, Gio::LoadableIcon, Gio::MemoryInputStream, Gio::Mount, Gio::Seekable, Gio::SimpleAsyncResult, Gio::ThemedIcon, and Gio::Volume.

const GObject* Glib::Interface::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gio::AppInfo, Gio::AsyncResult, Gio::Drive, Gio::File, Gio::FileIcon, Gio::FileInputStream, Gio::FileOutputStream, Gio::Icon, Gio::LoadableIcon, Gio::MemoryInputStream, Gio::Mount, Gio::Seekable, Gio::SimpleAsyncResult, Gio::ThemedIcon, and Gio::Volume.

The documentation for this class was generated from the following file:

- interface.h